source: trunk/athena/etc/newsyslog/configure @ 8366

Revision 8366, 37.0 KB checked in by ghudson, 28 years ago (diff)
Renegerate.
  • Property svn:executable set to *
RevLine 
[8313]1#! /bin/sh
2
3# From configure.in Revision: 1.1
4
5# Guess values for system-dependent variables and create Makefiles.
6# Generated automatically using autoconf version 2.7
7# Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
8#
9# This configure script is free software; the Free Software Foundation
10# gives unlimited permission to copy, distribute and modify it.
11
12# Defaults:
13ac_help=
14ac_default_prefix=/usr/local
15# Any additions from configure.in:
16ac_help="$ac_help
17  --disable-execvp        Disable searching of PATH for executed programs"
18ac_help="$ac_help
19  --enable-explicit-path  Hardcode path to 'compress' into the binary"
20
21# Initialize some variables set by options.
22# The variables have the same names as the options, with
23# dashes changed to underlines.
24build=NONE
25cache_file=./config.cache
26exec_prefix=NONE
27host=NONE
28no_create=
29nonopt=NONE
30no_recursion=
31prefix=NONE
32program_prefix=NONE
33program_suffix=NONE
34program_transform_name=s,x,x,
35silent=
36site=
37srcdir=
38target=NONE
39verbose=
40x_includes=NONE
41x_libraries=NONE
42bindir='${exec_prefix}/bin'
43sbindir='${exec_prefix}/sbin'
44libexecdir='${exec_prefix}/libexec'
45datadir='${prefix}/share'
46sysconfdir='${prefix}/etc'
47sharedstatedir='${prefix}/com'
48localstatedir='${prefix}/var'
49libdir='${exec_prefix}/lib'
50includedir='${prefix}/include'
51oldincludedir='/usr/include'
52infodir='${prefix}/info'
53mandir='${prefix}/man'
54
55# Initialize some other variables.
56subdirs=
57MFLAGS= MAKEFLAGS=
58
59ac_prev=
60for ac_option
61do
62
63  # If the previous option needs an argument, assign it.
64  if test -n "$ac_prev"; then
65    eval "$ac_prev=\$ac_option"
66    ac_prev=
67    continue
68  fi
69
70  case "$ac_option" in
71  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
72  *) ac_optarg= ;;
73  esac
74
75  # Accept the important Cygnus configure options, so we can diagnose typos.
76
77  case "$ac_option" in
78
79  -bindir | --bindir | --bindi | --bind | --bin | --bi)
80    ac_prev=bindir ;;
81  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
82    bindir="$ac_optarg" ;;
83
84  -build | --build | --buil | --bui | --bu)
85    ac_prev=build ;;
86  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
87    build="$ac_optarg" ;;
88
89  -cache-file | --cache-file | --cache-fil | --cache-fi \
90  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
91    ac_prev=cache_file ;;
92  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
93  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
94    cache_file="$ac_optarg" ;;
95
96  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
97    ac_prev=datadir ;;
98  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
99  | --da=*)
100    datadir="$ac_optarg" ;;
101
102  -disable-* | --disable-*)
103    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
104    # Reject names that are not valid shell variable names.
105    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
106      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
107    fi
108    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
109    eval "enable_${ac_feature}=no" ;;
110
111  -enable-* | --enable-*)
112    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
113    # Reject names that are not valid shell variable names.
114    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
115      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
116    fi
117    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
118    case "$ac_option" in
119      *=*) ;;
120      *) ac_optarg=yes ;;
121    esac
122    eval "enable_${ac_feature}='$ac_optarg'" ;;
123
124  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
125  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
126  | --exec | --exe | --ex)
127    ac_prev=exec_prefix ;;
128  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
129  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
130  | --exec=* | --exe=* | --ex=*)
131    exec_prefix="$ac_optarg" ;;
132
133  -gas | --gas | --ga | --g)
134    # Obsolete; use --with-gas.
135    with_gas=yes ;;
136
137  -help | --help | --hel | --he)
138    # Omit some internal or obsolete options to make the list less imposing.
139    # This message is too long to be a string in the A/UX 3.1 sh.
140    cat << EOF
141Usage: configure [options] [host]
142Options: [defaults in brackets after descriptions]
143Configuration:
144  --cache-file=FILE       cache test results in FILE
145  --help                  print this message
146  --no-create             do not create output files
147  --quiet, --silent       do not print \`checking...' messages
148  --version               print the version of autoconf that created configure
149Directory and file names:
150  --prefix=PREFIX         install architecture-independent files in PREFIX
151                          [$ac_default_prefix]
152  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
153                          [same as prefix]
154  --bindir=DIR            user executables in DIR [EPREFIX/bin]
155  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
156  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
157  --datadir=DIR           read-only architecture-independent data in DIR
158                          [PREFIX/share]
159  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
160  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
161                          [PREFIX/com]
162  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
163  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
164  --includedir=DIR        C header files in DIR [PREFIX/include]
165  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
166  --infodir=DIR           info documentation in DIR [PREFIX/info]
167  --mandir=DIR            man documentation in DIR [PREFIX/man]
168  --srcdir=DIR            find the sources in DIR [configure dir or ..]
169  --program-prefix=PREFIX prepend PREFIX to installed program names
170  --program-suffix=SUFFIX append SUFFIX to installed program names
171  --program-transform-name=PROGRAM
172                          run sed PROGRAM on installed program names
173EOF
174    cat << EOF
175Host type:
176  --build=BUILD           configure for building on BUILD [BUILD=HOST]
177  --host=HOST             configure for HOST [guessed]
178  --target=TARGET         configure for TARGET [TARGET=HOST]
179Features and packages:
180  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
181  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
182  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
183  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
184  --x-includes=DIR        X include files are in DIR
185  --x-libraries=DIR       X library files are in DIR
186EOF
187    if test -n "$ac_help"; then
188      echo "--enable and --with options recognized:$ac_help"
189    fi
190    exit 0 ;;
191
192  -host | --host | --hos | --ho)
193    ac_prev=host ;;
194  -host=* | --host=* | --hos=* | --ho=*)
195    host="$ac_optarg" ;;
196
197  -includedir | --includedir | --includedi | --included | --include \
198  | --includ | --inclu | --incl | --inc)
199    ac_prev=includedir ;;
200  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
201  | --includ=* | --inclu=* | --incl=* | --inc=*)
202    includedir="$ac_optarg" ;;
203
204  -infodir | --infodir | --infodi | --infod | --info | --inf)
205    ac_prev=infodir ;;
206  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
207    infodir="$ac_optarg" ;;
208
209  -libdir | --libdir | --libdi | --libd)
210    ac_prev=libdir ;;
211  -libdir=* | --libdir=* | --libdi=* | --libd=*)
212    libdir="$ac_optarg" ;;
213
214  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
215  | --libexe | --libex | --libe)
216    ac_prev=libexecdir ;;
217  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
218  | --libexe=* | --libex=* | --libe=*)
219    libexecdir="$ac_optarg" ;;
220
221  -localstatedir | --localstatedir | --localstatedi | --localstated \
222  | --localstate | --localstat | --localsta | --localst \
223  | --locals | --local | --loca | --loc | --lo)
224    ac_prev=localstatedir ;;
225  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
226  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
227  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
228    localstatedir="$ac_optarg" ;;
229
230  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
231    ac_prev=mandir ;;
232  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
233    mandir="$ac_optarg" ;;
234
235  -nfp | --nfp | --nf)
236    # Obsolete; use --without-fp.
237    with_fp=no ;;
238
239  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
240  | --no-cr | --no-c)
241    no_create=yes ;;
242
243  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
244  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
245    no_recursion=yes ;;
246
247  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
248  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
249  | --oldin | --oldi | --old | --ol | --o)
250    ac_prev=oldincludedir ;;
251  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
252  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
253  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
254    oldincludedir="$ac_optarg" ;;
255
256  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
257    ac_prev=prefix ;;
258  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
259    prefix="$ac_optarg" ;;
260
261  -program-prefix | --program-prefix | --program-prefi | --program-pref \
262  | --program-pre | --program-pr | --program-p)
263    ac_prev=program_prefix ;;
264  -program-prefix=* | --program-prefix=* | --program-prefi=* \
265  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
266    program_prefix="$ac_optarg" ;;
267
268  -program-suffix | --program-suffix | --program-suffi | --program-suff \
269  | --program-suf | --program-su | --program-s)
270    ac_prev=program_suffix ;;
271  -program-suffix=* | --program-suffix=* | --program-suffi=* \
272  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
273    program_suffix="$ac_optarg" ;;
274
275  -program-transform-name | --program-transform-name \
276  | --program-transform-nam | --program-transform-na \
277  | --program-transform-n | --program-transform- \
278  | --program-transform | --program-transfor \
279  | --program-transfo | --program-transf \
280  | --program-trans | --program-tran \
281  | --progr-tra | --program-tr | --program-t)
282    ac_prev=program_transform_name ;;
283  -program-transform-name=* | --program-transform-name=* \
284  | --program-transform-nam=* | --program-transform-na=* \
285  | --program-transform-n=* | --program-transform-=* \
286  | --program-transform=* | --program-transfor=* \
287  | --program-transfo=* | --program-transf=* \
288  | --program-trans=* | --program-tran=* \
289  | --progr-tra=* | --program-tr=* | --program-t=*)
290    program_transform_name="$ac_optarg" ;;
291
292  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
293  | -silent | --silent | --silen | --sile | --sil)
294    silent=yes ;;
295
296  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
297    ac_prev=sbindir ;;
298  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
299  | --sbi=* | --sb=*)
300    sbindir="$ac_optarg" ;;
301
302  -sharedstatedir | --sharedstatedir | --sharedstatedi \
303  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
304  | --sharedst | --shareds | --shared | --share | --shar \
305  | --sha | --sh)
306    ac_prev=sharedstatedir ;;
307  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
308  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
309  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
310  | --sha=* | --sh=*)
311    sharedstatedir="$ac_optarg" ;;
312
313  -site | --site | --sit)
314    ac_prev=site ;;
315  -site=* | --site=* | --sit=*)
316    site="$ac_optarg" ;;
317
318  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
319    ac_prev=srcdir ;;
320  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
321    srcdir="$ac_optarg" ;;
322
323  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
324  | --syscon | --sysco | --sysc | --sys | --sy)
325    ac_prev=sysconfdir ;;
326  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
327  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
328    sysconfdir="$ac_optarg" ;;
329
330  -target | --target | --targe | --targ | --tar | --ta | --t)
331    ac_prev=target ;;
332  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
333    target="$ac_optarg" ;;
334
335  -v | -verbose | --verbose | --verbos | --verbo | --verb)
336    verbose=yes ;;
337
338  -version | --version | --versio | --versi | --vers)
339    echo "configure generated by autoconf version 2.7"
340    exit 0 ;;
341
342  -with-* | --with-*)
343    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
344    # Reject names that are not valid shell variable names.
345    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
346      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
347    fi
348    ac_package=`echo $ac_package| sed 's/-/_/g'`
349    case "$ac_option" in
350      *=*) ;;
351      *) ac_optarg=yes ;;
352    esac
353    eval "with_${ac_package}='$ac_optarg'" ;;
354
355  -without-* | --without-*)
356    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
357    # Reject names that are not valid shell variable names.
358    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
359      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
360    fi
361    ac_package=`echo $ac_package| sed 's/-/_/g'`
362    eval "with_${ac_package}=no" ;;
363
364  --x)
365    # Obsolete; use --with-x.
366    with_x=yes ;;
367
368  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
369  | --x-incl | --x-inc | --x-in | --x-i)
370    ac_prev=x_includes ;;
371  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
372  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
373    x_includes="$ac_optarg" ;;
374
375  -x-libraries | --x-libraries | --x-librarie | --x-librari \
376  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
377    ac_prev=x_libraries ;;
378  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
379  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
380    x_libraries="$ac_optarg" ;;
381
382  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
383    ;;
384
385  *)
386    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
387      echo "configure: warning: $ac_option: invalid host type" 1>&2
388    fi
389    if test "x$nonopt" != xNONE; then
390      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
391    fi
392    nonopt="$ac_option"
393    ;;
394
395  esac
396done
397
398if test -n "$ac_prev"; then
399  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
400fi
401
402trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
403
404# File descriptor usage:
405# 0 standard input
406# 1 file creation
407# 2 errors and warnings
408# 3 some systems may open it to /dev/tty
409# 4 used on the Kubota Titan
410# 6 checking for... messages and results
411# 5 compiler messages saved in config.log
412if test "$silent" = yes; then
413  exec 6>/dev/null
414else
415  exec 6>&1
416fi
417exec 5>./config.log
418
419echo "\
420This file contains any messages produced by compilers while
421running configure, to aid debugging if configure makes a mistake.
422" 1>&5
423
424# Strip out --no-create and --no-recursion so they do not pile up.
425# Also quote any args containing shell metacharacters.
426ac_configure_args=
427for ac_arg
428do
429  case "$ac_arg" in
430  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
431  | --no-cr | --no-c) ;;
432  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
433  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
434  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
435  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
436  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
437  esac
438done
439
440# NLS nuisances.
441# Only set LANG and LC_ALL to C if already set.
442# These must not be set unconditionally because not all systems understand
443# e.g. LANG=C (notably SCO).
444if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
445if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=newsyslog.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='echo $CPP $CPPFLAGS 1>&5;
505$CPP $CPPFLAGS'
506ac_compile='echo ${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5;
507${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5 2>&5'
508ac_link='echo ${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5;
509${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5 2>&5'
510
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='        '
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525### Checks for programs.
526# Extract the first word of "gcc", so it can be a program name with args.
527set dummy gcc; ac_word=$2
528echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
529if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
530  echo $ac_n "(cached) $ac_c" 1>&6
531else
532  if test -n "$CC"; then
533  ac_cv_prog_CC="$CC" # Let the user override the test.
534else
535  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
536  for ac_dir in $PATH; do
537    test -z "$ac_dir" && ac_dir=.
538    if test -f $ac_dir/$ac_word; then
539      ac_cv_prog_CC="gcc"
540      break
541    fi
542  done
543  IFS="$ac_save_ifs"
544  test -z "$ac_cv_prog_CC" && ac_cv_prog_CC="cc"
545fi
546fi
547CC="$ac_cv_prog_CC"
548if test -n "$CC"; then
549  echo "$ac_t""$CC" 1>&6
550else
551  echo "$ac_t""no" 1>&6
552fi
553
554
555echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
556if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
557  echo $ac_n "(cached) $ac_c" 1>&6
558else
559  cat > conftest.c <<EOF
560#ifdef __GNUC__
561  yes;
562#endif
563EOF
564if ${CC-cc} -E conftest.c 2>&5 | egrep yes >/dev/null 2>&1; then
565  ac_cv_prog_gcc=yes
566else
567  ac_cv_prog_gcc=no
568fi
569fi
570
571echo "$ac_t""$ac_cv_prog_gcc" 1>&6
572if test $ac_cv_prog_gcc = yes; then
573  GCC=yes
574  if test "${CFLAGS+set}" != set; then
575    echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
576if eval "test \"`echo '$''{'ac_cv_prog_gcc_g'+set}'`\" = set"; then
577  echo $ac_n "(cached) $ac_c" 1>&6
578else
579  echo 'void f(){}' > conftest.c
580if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
581  ac_cv_prog_gcc_g=yes
582else
583  ac_cv_prog_gcc_g=no
584fi
585rm -f conftest*
586
587fi
588
589echo "$ac_t""$ac_cv_prog_gcc_g" 1>&6
590    if test $ac_cv_prog_gcc_g = yes; then
591      CFLAGS="-g -O"
592    else
593      CFLAGS="-O"
594    fi
595  fi
596else
597  GCC=
598  test "${CFLAGS+set}" = set || CFLAGS="-g"
599fi
600
601echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
602if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
603  echo $ac_n "(cached) $ac_c" 1>&6
604else
605  rm -f conftestdata
606if ln -s X conftestdata 2>/dev/null
607then
608  rm -f conftestdata
609  ac_cv_prog_LN_S="ln -s"
610else
611  ac_cv_prog_LN_S=ln
612fi
613fi
614LN_S="$ac_cv_prog_LN_S"
615if test "$ac_cv_prog_LN_S" = "ln -s"; then
616  echo "$ac_t""yes" 1>&6
617else
618  echo "$ac_t""no" 1>&6
619fi
620
621
[8366]622echo $ac_n "checking for working const""... $ac_c" 1>&6
623if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
624  echo $ac_n "(cached) $ac_c" 1>&6
625else
626  cat > conftest.$ac_ext <<EOF
627#line 628 "configure"
628#include "confdefs.h"
629
630int main() { return 0; }
631int t() {
632
633/* Ultrix mips cc rejects this.  */
634typedef int charset[2]; const charset x;
635/* SunOS 4.1.1 cc rejects this.  */
636char const *const *ccp;
637char **p;
638/* NEC SVR4.0.2 mips cc rejects this.  */
639struct point {int x, y;};
640static struct point const zero = {0,0};
641/* AIX XL C 1.02.0.0 rejects this.
642   It does not let you subtract one const X* pointer from another in an arm
643   of an if-expression whose if-part is not a constant expression */
644const char *g = "string";
645ccp = &g + (g ? g-g : 0);
646/* HPUX 7.0 cc rejects these. */
647++ccp;
648p = (char**) ccp;
649ccp = (char const *const *) p;
650{ /* SCO 3.2v4 cc rejects this.  */
651  char *t;
652  char const *s = 0 ? (char *) 0 : (char const *) 0;
653
654  *t++ = 0;
655}
656{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
657  int x[] = {25, 17};
658  const int *foo = &x[0];
659  ++foo;
660}
661{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
662  typedef const int *iptr;
663  iptr p = 0;
664  ++p;
665}
666{ /* AIX XL C 1.02.0.0 rejects this saying
667     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
668  struct s { int j; const int *ap[3]; };
669  struct s *b; b->j = 5;
670}
671{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
672  const int foo = 10;
673}
674
675; return 0; }
676EOF
677if eval $ac_compile; then
678  rm -rf conftest*
679  ac_cv_c_const=yes
680else
681  rm -rf conftest*
682  ac_cv_c_const=no
683fi
684rm -f conftest*
685
686fi
687
688echo "$ac_t""$ac_cv_c_const" 1>&6
689if test $ac_cv_c_const = no; then
690  cat >> confdefs.h <<\EOF
691#define const
692EOF
693
694fi
695
696
[8313]697### Checks for libraries.
698echo $ac_n "checking for -lnsl""... $ac_c" 1>&6
699ac_lib_var=`echo nsl | tr '.-/+' '___p'`
700if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
701  echo $ac_n "(cached) $ac_c" 1>&6
702else
703  ac_save_LIBS="$LIBS"
704LIBS="-lnsl  $LIBS"
705cat > conftest.$ac_ext <<EOF
[8366]706#line 707 "configure"
[8313]707#include "confdefs.h"
708
709int main() { return 0; }
710int t() {
711gethostname()
712; return 0; }
713EOF
714if eval $ac_link; then
715  rm -rf conftest*
716  eval "ac_cv_lib_$ac_lib_var=yes"
717else
718  rm -rf conftest*
719  eval "ac_cv_lib_$ac_lib_var=no"
720fi
721rm -f conftest*
722LIBS="$ac_save_LIBS"
723
724fi
725if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
726  echo "$ac_t""yes" 1>&6
727    ac_tr_lib=HAVE_LIB`echo nsl | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
728  cat >> confdefs.h <<EOF
729#define $ac_tr_lib 1
730EOF
731
732  LIBS="-lnsl $LIBS"
733
734else
735  echo "$ac_t""no" 1>&6
736fi
737
738
739### Checks for header files.
740echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
741# On Suns, sometimes $CPP names a directory.
742if test -n "$CPP" && test -d "$CPP"; then
743  CPP=
744fi
745if test -z "$CPP"; then
746if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
747  echo $ac_n "(cached) $ac_c" 1>&6
748else
749    # This must be in double quotes, not single quotes, because CPP may get
750  # substituted into the Makefile and "${CC-cc}" will confuse make.
751  CPP="${CC-cc} -E"
752  # On the NeXT, cc -E runs the code through the compiler's parser,
753  # not just through cpp.
754  cat > conftest.$ac_ext <<EOF
[8366]755#line 756 "configure"
[8313]756#include "confdefs.h"
757#include <assert.h>
758Syntax Error
759EOF
760eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
761ac_err=`grep -v '^ *+' conftest.out`
762if test -z "$ac_err"; then
763  :
764else
765  echo "$ac_err" >&5
766  rm -rf conftest*
767  CPP="${CC-cc} -E -traditional-cpp"
768  cat > conftest.$ac_ext <<EOF
[8366]769#line 770 "configure"
[8313]770#include "confdefs.h"
771#include <assert.h>
772Syntax Error
773EOF
774eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
775ac_err=`grep -v '^ *+' conftest.out`
776if test -z "$ac_err"; then
777  :
778else
779  echo "$ac_err" >&5
780  rm -rf conftest*
781  CPP=/lib/cpp
782fi
783rm -f conftest*
784fi
785rm -f conftest*
786  ac_cv_prog_CPP="$CPP"
787fi
788  CPP="$ac_cv_prog_CPP"
789else
790  ac_cv_prog_CPP="$CPP"
791fi
792echo "$ac_t""$CPP" 1>&6
793
794for ac_hdr in string.h
795do
796ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
797echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
798if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
799  echo $ac_n "(cached) $ac_c" 1>&6
800else
801  cat > conftest.$ac_ext <<EOF
[8366]802#line 803 "configure"
[8313]803#include "confdefs.h"
804#include <$ac_hdr>
805EOF
806eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
807ac_err=`grep -v '^ *+' conftest.out`
808if test -z "$ac_err"; then
809  rm -rf conftest*
810  eval "ac_cv_header_$ac_safe=yes"
811else
812  echo "$ac_err" >&5
813  rm -rf conftest*
814  eval "ac_cv_header_$ac_safe=no"
815fi
816rm -f conftest*
817fi
818if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
819  echo "$ac_t""yes" 1>&6
820    ac_tr_hdr=HAVE_`echo $ac_hdr | tr 'abcdefghijklmnopqrstuvwxyz./\055' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ___'`
821  cat >> confdefs.h <<EOF
822#define $ac_tr_hdr 1
823EOF
824 
825else
826  echo "$ac_t""no" 1>&6
827fi
828done
829
830
831### Checks for library functions.
832for ac_func in strdup
833do
834echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
835if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
836  echo $ac_n "(cached) $ac_c" 1>&6
837else
838  cat > conftest.$ac_ext <<EOF
[8366]839#line 840 "configure"
[8313]840#include "confdefs.h"
841/* System header to define __stub macros and hopefully few prototypes,
842    which can conflict with char $ac_func(); below.  */
843#include <assert.h>
844/* Override any gcc2 internal prototype to avoid an error.  */
845char $ac_func();
846
847int main() { return 0; }
848int t() {
849
850/* The GNU C library defines this for functions which it implements
851    to always fail with ENOSYS.  Some functions are actually named
852    something starting with __ and the normal name is an alias.  */
853#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
854choke me
855#else
856$ac_func();
857#endif
858
859; return 0; }
860EOF
861if eval $ac_link; then
862  rm -rf conftest*
863  eval "ac_cv_func_$ac_func=yes"
864else
865  rm -rf conftest*
866  eval "ac_cv_func_$ac_func=no"
867fi
868rm -f conftest*
869
870fi
871if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
872  echo "$ac_t""yes" 1>&6
873    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
874  cat >> confdefs.h <<EOF
875#define $ac_tr_func 1
876EOF
877 
878else
879  echo "$ac_t""no" 1>&6
880fi
881done
882
883
884### Deal with options.
885# Check whether --enable-execvp or --disable-execvp was given.
886if test "${enable_execvp+set}" = set; then
887  enableval="$enable_execvp"
888  :
889fi
890
891# Check whether --enable-explicit-path or --disable-explicit-path was given.
892if test "${enable_explicit_path+set}" = set; then
893  enableval="$enable_explicit_path"
894  :
895fi
896
897
898case "$enable_execvp" in
899   no)  case "$enable_explicit_path" in
900           "")  ;;
901          yes)  ;;
902            *)  echo "configure: warning: --disable-execvp implies --enable-explicit-path" 1>&2 ;;
903        esac
904        enable_explicit_path=yes
905    ;;
906    *)  cat >> confdefs.h <<\EOF
907#define USE_EXECVP 1
908EOF
909 ;;
910esac
911case "$enable_explicit_path" in
912   yes)  # Extract the first word of "compress", so it can be a program name with args.
913set dummy compress; ac_word=$2
914echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
915if eval "test \"`echo '$''{'ac_cv_path_COMPRESS'+set}'`\" = set"; then
916  echo $ac_n "(cached) $ac_c" 1>&6
917else
918  case "$COMPRESS" in
919  /*)
920  ac_cv_path_COMPRESS="$COMPRESS" # Let the user override the test with a path.
921  ;;
922  *)
923  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
924  for ac_dir in $PATH; do
925    test -z "$ac_dir" && ac_dir=.
926    if test -f $ac_dir/$ac_word; then
927      ac_cv_path_COMPRESS="$ac_dir/$ac_word"
928      break
929    fi
930  done
931  IFS="$ac_save_ifs"
932  ;;
933esac
934fi
935COMPRESS="$ac_cv_path_COMPRESS"
936if test -n "$COMPRESS"; then
937  echo "$ac_t""$COMPRESS" 1>&6
938else
939  echo "$ac_t""no" 1>&6
940fi
941
942         test -n "${COMPRESS}" || { echo "configure: error: cannot find compress in ${PATH}" 1>&2; exit 1; }
943     ;;
944     *)  COMPRESS=compress ;;
945esac
946
947cat >> confdefs.h <<EOF
948#define COMPRESS "${COMPRESS}"
949EOF
950
951
952
953trap '' 1 2 15
954cat > confcache <<\EOF
955# This file is a shell script that caches the results of configure
956# tests run on this system so they can be shared between configure
957# scripts and configure runs.  It is not useful on other systems.
958# If it contains results you don't want to keep, you may remove or edit it.
959#
960# By default, configure uses ./config.cache as the cache file,
961# creating it if it does not exist already.  You can give configure
962# the --cache-file=FILE option to use a different cache file; that is
963# what configure does when it calls configure scripts in
964# subdirectories, so they share the cache.
965# Giving --cache-file=/dev/null disables caching, for debugging configure.
966# config.status only pays attention to the cache file if you give it the
967# --recheck option to rerun configure.
968#
969EOF
970# Ultrix sh set writes to stderr and can't be redirected directly,
971# and sets the high bit in the cache file unless we assign to the vars.
972(set) 2>&1 |
973  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
974  >> confcache
975if cmp -s $cache_file confcache; then
976  :
977else
978  if test -w $cache_file; then
979    echo "updating cache $cache_file"
980    cat confcache > $cache_file
981  else
982    echo "not updating unwritable cache $cache_file"
983  fi
984fi
985rm -f confcache
986
987trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
988
989test "x$prefix" = xNONE && prefix=$ac_default_prefix
990# Let make expand exec_prefix.
991test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
992
993# Any assignment to VPATH causes Sun make to only execute
994# the first set of double-colon rules, so remove it if not needed.
995# If there is a colon in the path, we need to keep it.
996if test "x$srcdir" = x.; then
997  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
998fi
999
1000trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1001
1002DEFS=-DHAVE_CONFIG_H
1003
1004# Without the "./", some shells look in PATH for config.status.
1005: ${CONFIG_STATUS=./config.status}
1006
1007echo creating $CONFIG_STATUS
1008rm -f $CONFIG_STATUS
1009cat > $CONFIG_STATUS <<EOF
1010#! /bin/sh
1011# Generated automatically by configure.
1012# Run this file to recreate the current configuration.
1013# This directory was configured as follows,
1014# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1015#
1016# $0 $ac_configure_args
1017#
1018# Compiler output produced by configure, useful for debugging
1019# configure, is in ./config.log if it exists.
1020
1021ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1022for ac_option
1023do
1024  case "\$ac_option" in
1025  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1026    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1027    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1028  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1029    echo "$CONFIG_STATUS generated by autoconf version 2.7"
1030    exit 0 ;;
1031  -help | --help | --hel | --he | --h)
1032    echo "\$ac_cs_usage"; exit 0 ;;
1033  *) echo "\$ac_cs_usage"; exit 1 ;;
1034  esac
1035done
1036
1037ac_given_srcdir=$srcdir
1038
1039trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1040EOF
1041cat >> $CONFIG_STATUS <<EOF
1042
1043# Protect against being on the right side of a sed subst in config.status.
1044sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1045 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1046$ac_vpsub
1047$extrasub
1048s%@CFLAGS@%$CFLAGS%g
1049s%@CPPFLAGS@%$CPPFLAGS%g
1050s%@CXXFLAGS@%$CXXFLAGS%g
1051s%@DEFS@%$DEFS%g
1052s%@LDFLAGS@%$LDFLAGS%g
1053s%@LIBS@%$LIBS%g
1054s%@exec_prefix@%$exec_prefix%g
1055s%@prefix@%$prefix%g
1056s%@program_transform_name@%$program_transform_name%g
1057s%@bindir@%$bindir%g
1058s%@sbindir@%$sbindir%g
1059s%@libexecdir@%$libexecdir%g
1060s%@datadir@%$datadir%g
1061s%@sysconfdir@%$sysconfdir%g
1062s%@sharedstatedir@%$sharedstatedir%g
1063s%@localstatedir@%$localstatedir%g
1064s%@libdir@%$libdir%g
1065s%@includedir@%$includedir%g
1066s%@oldincludedir@%$oldincludedir%g
1067s%@infodir@%$infodir%g
1068s%@mandir@%$mandir%g
1069s%@CC@%$CC%g
1070s%@LN_S@%$LN_S%g
1071s%@CPP@%$CPP%g
1072s%@COMPRESS@%$COMPRESS%g
1073
1074CEOF
1075EOF
1076cat >> $CONFIG_STATUS <<EOF
1077
1078CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1079EOF
1080cat >> $CONFIG_STATUS <<\EOF
1081for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1082  # Support "outfile[:infile]", defaulting infile="outfile.in".
1083  case "$ac_file" in
1084  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
1085       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1086  *) ac_file_in="${ac_file}.in" ;;
1087  esac
1088
1089  # Adjust relative srcdir, etc. for subdirectories.
1090
1091  # Remove last slash and all that follows it.  Not all systems have dirname.
1092  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1093  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1094    # The file is in a subdirectory.
1095    test ! -d "$ac_dir" && mkdir "$ac_dir"
1096    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1097    # A "../" for each directory in $ac_dir_suffix.
1098    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1099  else
1100    ac_dir_suffix= ac_dots=
1101  fi
1102
1103  case "$ac_given_srcdir" in
1104  .)  srcdir=.
1105      if test -z "$ac_dots"; then top_srcdir=.
1106      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1107  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1108  *) # Relative path.
1109    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1110    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1111  esac
1112
1113  echo creating "$ac_file"
1114  rm -f "$ac_file"
1115  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1116  case "$ac_file" in
1117  *Makefile*) ac_comsub="1i\\
1118# $configure_input" ;;
1119  *) ac_comsub= ;;
1120  esac
1121  sed -e "$ac_comsub
1122s%@configure_input@%$configure_input%g
1123s%@srcdir@%$srcdir%g
1124s%@top_srcdir@%$top_srcdir%g
1125" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
1126fi; done
1127rm -f conftest.subs
1128
1129# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1130# NAME is the cpp macro being defined and VALUE is the value it is being given.
1131#
1132# ac_d sets the value in "#define NAME VALUE" lines.
1133ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
1134ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
1135ac_dC='\3'
1136ac_dD='%g'
1137# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1138ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1139ac_uB='\([      ]\)%\1#\2define\3'
1140ac_uC=' '
1141ac_uD='\4%g'
1142# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1143ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1144ac_eB='$%\1#\2define\3'
1145ac_eC=' '
1146ac_eD='%g'
1147
1148CONFIG_HEADERS=${CONFIG_HEADERS-"config.h"}
1149for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1150  # Support "outfile[:infile]", defaulting infile="outfile.in".
1151  case "$ac_file" in
1152  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
1153       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1154  *) ac_file_in="${ac_file}.in" ;;
1155  esac
1156
1157  echo creating $ac_file
1158
1159  rm -f conftest.frag conftest.in conftest.out
1160  cp $ac_given_srcdir/$ac_file_in conftest.in
1161
1162EOF
1163
1164# Transform confdefs.h into a sed script conftest.vals that substitutes
1165# the proper values into config.h.in to produce config.h.  And first:
1166# Protect against being on the right side of a sed subst in config.status.
1167# Protect against being in an unquoted here document in config.status.
1168rm -f conftest.vals
1169cat > conftest.hdr <<\EOF
1170s/[\\&%]/\\&/g
1171s%[\\$`]%\\&%g
1172s%#define \([A-Za-z_][A-Za-z0-9_]*\) \(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1173s%ac_d%ac_u%gp
1174s%ac_u%ac_e%gp
1175EOF
1176sed -n -f conftest.hdr confdefs.h > conftest.vals
1177rm -f conftest.hdr
1178
1179# This sed command replaces #undef with comments.  This is necessary, for
1180# example, in the case of _POSIX_SOURCE, which is predefined and required
1181# on some systems where configure will not decide to define it.
1182cat >> conftest.vals <<\EOF
1183s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1184EOF
1185
1186# Break up conftest.vals because some shells have a limit on
1187# the size of here documents, and old seds have small limits too.
1188# Maximum number of lines to put in a single here document.
1189ac_max_here_lines=12
1190
1191rm -f conftest.tail
1192while :
1193do
1194  ac_lines=`grep -c . conftest.vals`
1195  # grep -c gives empty output for an empty file on some AIX systems.
1196  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1197  # Write a limited-size here document to conftest.frag.
1198  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1199  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1200  echo 'CEOF
1201  sed -f conftest.frag conftest.in > conftest.out
1202  rm -f conftest.in
1203  mv conftest.out conftest.in
1204' >> $CONFIG_STATUS
1205  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1206  rm -f conftest.vals
1207  mv conftest.tail conftest.vals
1208done
1209rm -f conftest.vals
1210
1211cat >> $CONFIG_STATUS <<\EOF
1212  rm -f conftest.frag conftest.h
1213  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1214  cat conftest.in >> conftest.h
1215  rm -f conftest.in
1216  if cmp -s $ac_file conftest.h 2>/dev/null; then
1217    echo "$ac_file is unchanged"
1218    rm -f conftest.h
1219  else
1220    rm -f $ac_file
1221    mv conftest.h $ac_file
1222  fi
1223fi; done
1224
1225
1226
1227exit 0
1228EOF
1229chmod +x $CONFIG_STATUS
1230rm -fr confdefs* $ac_clean_files
1231test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1232
Note: See TracBrowser for help on using the repository browser.